import { Mesh, Vector3 } from 'three';
import React from 'react';
export declare type Ring = {
    radius: number;
    startpoint: Vector3;
};
export declare const useRainRing: (rainring: React.MutableRefObject<Mesh | undefined>) => void;
export declare type UseRainRingsProps = {
    count?: number;
};
export declare const useRainRings: ({ count }?: UseRainRingsProps) => {
    rings: Ring[];
};
