"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Haze = exports.SKY_COLOR = void 0;

var _react = _interopRequireWildcard(require("react"));

var _useHaze2 = require("./use-haze");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var SKY_COLOR = '#A2915E';
exports.SKY_COLOR = SKY_COLOR;

var Haze = function Haze(props) {
  var haze = (0, _react.useRef)();
  var mat = (0, _react.useRef)();
  (0, _useHaze2.useHazeDrop)(haze, mat, {
    value: props.value
  });
  return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement("mesh", {
    ref: haze
  }, _react.default.createElement("meshLine", {
    attach: "geometry",
    vertices: props.value.vertices
  }), _react.default.createElement("meshLineMaterial", {
    attach: "material",
    ref: mat,
    transparent: true,
    depthTest: false,
    sizeAttenuation: true,
    lineWidth: 0.01,
    dashArray: props.value.dashArray,
    dashRatio: 0.8,
    opacity: props.value.opacity,
    color: props.value.color
  })));
};

exports.Haze = Haze;

var Hazes = function Hazes(props) {
  var _useHaze = (0, _useHaze2.useHaze)(props),
      lines = _useHaze.lines;

  return _react.default.createElement(_react.default.Fragment, null, lines.map(function (haze, index) {
    return _react.default.createElement(Haze, {
      key: index,
      value: haze
    });
  }));
};

var _default = Hazes;
exports.default = _default;
//# sourceMappingURL=index.js.map
