/// <reference types="react" />
import { Vector3, Mesh } from 'three';
export declare type UseMeteorsProps = {
    count?: number;
    angle?: number;
};
export declare type Meteor = {
    angle: number;
    leg: number;
    vertices: Vector3[];
    hypotenuse: number;
    color: string;
};
export declare const useMeteors: ({ count, angle }?: UseMeteorsProps) => {
    meteors: Meteor[];
};
export declare type UseMeteorProps = {
    value: Meteor;
};
export declare const useMeteor: (meteor: import("react").MutableRefObject<Mesh | undefined>, mat: import("react").MutableRefObject<any>, { value }: UseMeteorProps) => void;
