import React from 'react';
export declare type Haze = {
    vertices: THREE.Vector3[];
    orientation: 'fromRight' | 'fromTop' | 'fromLeft';
    leg: number;
    angle: number;
    color: string;
    dashArray: number;
    opacity: number;
};
export declare type UseHazeProps = {
    count?: number;
    angle?: number;
};
export declare const DEFAULT_RAINPROPS: {
    count: number;
    angle: number;
};
export declare const useHaze: ({ angle, count }?: UseHazeProps) => {
    lines: Haze[];
};
export declare type UseHazeDropProps = {
    value: Haze;
};
export declare const useHazeDrop: (hazedrop: React.MutableRefObject<import("three").Mesh | undefined>, mat: React.MutableRefObject<any>, props?: UseHazeDropProps | undefined) => void;
