/// <reference types="react" />
import * as THREE from 'three';
export declare type UseStarRingsProps = {
    count?: number;
};
export declare type Ring = {
    radius: number;
    vertices: THREE.Vector3[];
    dashArray: number;
    opacity: number;
    color: string;
    lineWidth: number;
};
export declare const useStarRings: ({ count }?: UseStarRingsProps) => {
    rings: Ring[];
};
export declare const useRing: (ring: import("react").MutableRefObject<any>) => void;
