"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _useStarrings = require("./use-starrings");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var Ring = function Ring(_ref) {
  var value = _ref.value;
  var ring = (0, _react.useRef)();
  (0, _useStarrings.useRing)(ring);
  return _react.default.createElement("mesh", null, _react.default.createElement("meshLine", {
    attach: "geometry",
    vertices: value.vertices
  }), _react.default.createElement("meshLineMaterial", {
    ref: ring,
    attach: "material",
    transparent: true,
    depthTest: false,
    sizeAttenuation: true,
    dashArray: value.dashArray,
    dashRatio: 0.2,
    lineWidth: value.lineWidth,
    opacity: value.opacity,
    color: value.color
  }));
};

var StarRings = function StarRings(props) {
  var _useStarRings = (0, _useStarrings.useStarRings)(props),
      rings = _useStarRings.rings;

  return _react.default.createElement(_react.default.Fragment, null, rings.map(function (ring, index) {
    return _react.default.createElement(Ring, {
      key: index,
      value: ring
    });
  }));
};

var _default = StarRings;
exports.default = _default;
//# sourceMappingURL=index.js.map
